> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download file

> Get a download target for one File version.

**Operation ID:** `http.files.download`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/download
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/download
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/download:
    get:
      tags:
        - Files
      summary: Download file
      description: >-
        Get a download target for one File version.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.files.download
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: file
          in: path
          required: true
          schema:
            type: string
        - name: version
          in: path
          required: true
          schema:
            type: string
        - name: kind
          in: query
          required: false
          description: >-
            Which rendition: original, text, screenshot or cover. Defaults to
            original.
          schema:
            type: string
            enum:
              - original
              - text
              - screenshot
              - cover
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_files_download_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_files_download_response:
      type: object
      properties:
        data:
          type: object
          properties:
            target:
              type: object
              properties:
                file_id:
                  type: string
                version_id:
                  type: string
                number:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                kind:
                  type: string
                  enum:
                    - original
                    - text
                    - screenshot
                    - cover
                media_type:
                  type: string
                size_bytes:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                sha256:
                  type: string
                provider:
                  type: string
                bucket:
                  type: string
                object_key:
                  type: string
                provider_version:
                  anyOf:
                    - type: string
                    - type: 'null'
                parser_name:
                  anyOf:
                    - type: string
                    - type: 'null'
                parser_version:
                  anyOf:
                    - type: string
                    - type: 'null'
                cover_source:
                  type: string
                  enum:
                    - screenshot
                    - page
                    - original
                page_number:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                cover_rendition:
                  type: boolean
              required:
                - file_id
                - version_id
                - number
                - kind
                - media_type
                - size_bytes
                - sha256
                - provider
                - bucket
                - object_key
                - provider_version
                - parser_name
                - parser_version
              additionalProperties: {}
            download:
              anyOf:
                - type: object
                  properties:
                    url:
                      type: string
                    expires_at:
                      type: string
                  required:
                    - url
                    - expires_at
                  additionalProperties: {}
                - type: 'null'
          required:
            - target
            - download
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.